QGIS Application - Bug report #5959
WMS password visible
2012-07-06 12:32 AM - Frank van Wijngaarden

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15379
Description

When using a WMS with basic authentication, the password is hidden while being entered.
But in at least two places later on is it fully visible, for everyone to see:

1) In the registry

2) When investigating the layer properties on the Algemeen / General tab

Related issues:

Related to QGIS Application - Bug report # 108: Password of postgis databases... Closed
Related to QGIS Application - Feature request # 4823: Add warning when saving... Closed 2012-01-16
Related to QGIS Application - Bug report # 3862: world-readable postgresql ac... Closed
Related to QGIS Application - Bug report # 2146: PostGres connection exposes ... Closed

Associated revisions

Revision 81abf7fb - 2012-07-08 09:51 PM - Jiirgen Fischer

add clear text password warning (fixes #5959)

History

#1 - 2012-07-06 12:34 AM - Alexander Bruy

BTW, same for PostgreSQL and other DB connections

#2 - 2012-07-06 02:03 AM - Jiirgen Fischer

Alexander Bruy wrote:

BTW, same for PostgreSQL and other DB connections

Only if you opt to save the password - and acknowledge that it will be saved in clear text. The warning might be missing in the WMS case - but not giving
a username/password should also trigger the credentials dialog, when the credentials are needed.

#3 - 2012-07-08 11:46 AM - Giovanni Manghi
- OS version deleted (XP)
- Operating System deleted (Windows)
but not giving a username/password should also trigger the credentials dialog, when the credentials are needed.

yes it does. | just set a few wms/wfs/wcs services protected with basic http authentication and if credentials are not saved in the connection details qgis
pop up a credentials dialog when connecting the server.

#4 - 2012-07-08 12:51 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"81abf7fbc01c8803976455b05bb8485d6c3cc2ff".
